cordova.define("cordova-plugin-dragdrop.dragDrop", function(require, exports, module) {

var cordova = require('cordova');

var DragDrop = {
    init: function() {
        //console.log('init plugin');
        cordova.exec(null,null,'DragDrop','init')
    },

    onDrop: async function(uriList) {
        //uriList is type array
        let fileList = [];
        for (let i = 0; i < uriList.length; i++) {
            const file = await getFileFromUri(uriList[i])
            if(file) {
                fileList.push(file)
            }
        }
        const event = new CustomEvent('androidDrop', {'detail': {files: fileList} })
        document.body.dispatchEvent(event)
    }
}

async function getFileFromUri(uri) {
    return new Promise((resolve, reject) => {
        window.resolveLocalFileSystemURL(uri,
            function(fileEntry) {
                fileEntry.file(function(file) {
                    resolve(file)
                })
            },
            function(err) {
                console.error(err)
                reject(null)
            }
        )
    })
}

module.exports = DragDrop;
});
